Page 1 of 10 123 ... LastLast
Results 1 to 10 of 94

Thread: Quake Live Now Available To Linux Gamers

  1. #1
    Join Date
    Jan 2007
    Posts
    13,414

    Default Quake Live Now Available To Linux Gamers

    Phoronix: Quake Live Now Available To Linux Gamers

    Quake Live, the project by id Software that effectively puts the classic but popular Quake III: Arena game and puts it in the web browser, is now available for Linux. Linux gamers interested in running this first person shooter just need to go to QuakeLive.com and install a plug-in for their web-browser...

    http://www.phoronix.com/vr.php?view=NzQ2Nw

  2. #2
    Join Date
    Feb 2008
    Posts
    153

    Default

    Freaking Schweet I'm gonna try it right now before I have to go to work.

  3. #3
    Join Date
    May 2008
    Posts
    598

    Default

    Quote Originally Posted by Max Spain View Post
    Freaking Schweet I'm gonna try it right now before I have to go to work.
    You can even play at work

    That was one of the goals for Quake Live To be able to play it on any computer and anywhere, and maybe just for 10 minutes.

  4. #4
    Join Date
    Sep 2008
    Location
    Netherlands
    Posts
    510

    Default

    I still get the "Sorry, you're not supported" message. I'm using the non-branded Firefox 3.5 build (called Shiretoko).

    Anyway, this is a disgrace for the web. You have to actually change your browser to install a proprietary binary blob to view this site. It's against everything the web stands for. If you're running a browser that is capable of anything, but it's not one of those supported by Quake Live, you're out of luck. If you're at a place where the computer is locked down, you're out of luck.

  5. #5
    Join Date
    May 2008
    Posts
    598

    Default

    Quote Originally Posted by Remco View Post
    I still get the "Sorry, you're not supported" message. I'm using the non-branded Firefox 3.5 build (called Shiretoko).

    Anyway, this is a disgrace for the web. You have to actually change your browser to install a proprietary binary blob to view this site. It's against everything the web stands for. If you're running a browser that is capable of anything, but it's not one of those supported by Quake Live, you're out of luck. If you're at a place where the computer is locked down, you're out of luck.
    Yes, this is a really bad product.

    It requires 3D acceleration and it doesn't work in text mode.

    Also it requires a monitor and a mouse.

  6. #6
    Join Date
    Jul 2008
    Location
    Greece
    Posts
    3,762

    Default

    If I have to download a plugin, then why the hell didn't they simply offer a client? The plugin simply renders inside the browser window. Why the fsck not simply render in it's own window by being a client? Why does it have to be in the browser?

    This makes zero sense.

  7. #7
    Join Date
    Sep 2008
    Location
    Netherlands
    Posts
    510

    Default

    Quote Originally Posted by Louise View Post
    Yes, this is a really bad product.

    It requires 3D acceleration and it doesn't work in text mode.

    Also it requires a monitor and a mouse.
    I'm glad you agree. They should have spent their energy on working with the WHATWG to get a 3D canvas spec off the ground. That's a worthwhile project. If they did that, and then were the first to implement such a thing through a browser plugin, they would get my support.

    But as it stands, this is just a cheap trick that doesn't really produce anything worthwhile for the future of the web.

    Not only does this require 3D acceleration and mouse input support (which is sensible), it also requires an artificially limited set of browsers. As I said, I use Firefox 3.5, without the branding (since Ubuntu just happens to provide me with that). This browser is just as capable as Firefox 2 and 3.0, which are supported, but still it doesn't work. You can expect every future beta version of supported browsers to fail.

  8. #8
    Join Date
    May 2008
    Posts
    598

    Default

    Quote Originally Posted by RealNC View Post
    If I have to download a plugin, then why the hell didn't they simply offer a client? The plugin simply renders inside the browser window. Why the fsck not simply render in it's own window by being a client? Why does it have to be in the browser?

    This makes zero sense.
    Carmack is pretty intelligent, so you can be sure, there are good reasons

    But very likely because then you wouldn't have the web integration like you have now with leader boards, high scores and so on.

    If you give it fair chance, you will see that the game is very well integrated into the website.

    That would be my guess at least.

  9. #9
    Join Date
    May 2008
    Posts
    598

    Default

    Quote Originally Posted by Remco View Post
    Not only does this require 3D acceleration and mouse input support (which is sensible),
    Most 3D drivers are closed source, so why is closed source 3D ok, and Flash not?

  10. #10
    Join Date
    Jan 2008
    Posts
    36

    Default change your user string

    Quote Originally Posted by Remco View Post
    I still get the "Sorry, you're not supported" message. I'm using the non-branded Firefox 3.5 build (called Shiretoko).

    Anyway, this is a disgrace for the web. You have to actually change your browser to install a proprietary binary blob to view this site. It's against everything the web stands for. If you're running a browser that is capable of anything, but it's not one of those supported by Quake Live, you're out of luck. If you're at a place where the computer is locked down, you're out of luck.

    an easier way is to just change your agent string. Go to about:config and change the "general.useragent.extra.firefox" so that it says Firefox instead of Shiretoko.

    yes, lame but it works

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •